Subject: bug#50026: Specify a pull-request in --with-branch package transformations

From: zimoun <[email-masked]>
Date: Tue, 14 Sep 2021 10:12:20 +0200

Hi,

On Tue, 14 Sep 2021 at 09:43, Ludovic Courtès <[email-masked]> wrote:
> Philippe SWARTVAGHER <[email-masked]> skribis:
>
>> guix build chameleon --with-branch=chameleon=merge-requests/262/head
>> guix build: erreur : impossible de récupérer la branche «
>> merge-requests/262/head » depuis
>> https://gitlab.inria.fr/solverstack/chameleon : cannot locate
>> remote-tracking branch 'origin/merge-requests/262/head'
>> ```
>>
>> While commands stated in the documentation work well:
>>
>> ```bash
>>
>> git clone https://gitlab.inria.fr/solverstack/chameleon && cd chameleon
>> git fetch origin merge-requests/262/head

> Any idea what makes this branches “special” from a Git viewpoint?

I do not know but the branch is not listed after a fresh clone:

--8<---------------cut here---------------start------------->8---
$ git clone https://gitlab.inria.fr/solverstack/chameleon
$ cd chameleon
$ git branch -av
* master                       be19cc46 Merge branch 'fix-warning' into 'master'
  remotes/origin/HEAD          -> origin/master
  remotes/origin/master        be19cc46 Merge branch 'fix-warning' into 'master'
  remotes/origin/release-0.9.2 d2b4cab3 Fix artifact
  remotes/origin/release-1.0.0 da81c248 Update ChangeLog
  remotes/origin/release-1.1.0 4db899ca Merge branch 'next_release' into 'master'
--8<---------------cut here---------------end--------------->8---

So I guess the GitLab Merge Requests are “special” branches.  Well, I do not know
if checking the API makes sense ;-)

   <https://docs.gitlab.com/ee/api/merge_requests.html>

All the best,
simon